package com.heyu.api.data.dao.operation;
/**
* <p>
* 一些触发事件配置：关键字配置：天气，新闻事件，节日 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.heyu.api.data.entity.operation.OperatinEventConfigEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface OperatinEventConfigDao extends BaseMapper<OperatinEventConfigEntity> {


	OperatinEventConfigEntity selectOperatinEventConfigById(@Param("id")Long id);


	Long insertOperatinEventConfig(OperatinEventConfigEntity operatinEventConfig);


	Long insertOrUpdateOperatinEventConfig(OperatinEventConfigEntity operatinEventConfig);


	int updateOperatinEventConfigById(OperatinEventConfigEntity operatinEventConfig);


	int updateCoverOperatinEventConfigById(OperatinEventConfigEntity operatinEventConfig);


	int deleteOperatinEventConfigById(@Param("id")Long id);


}